Quassel IRC - Bug #1359

Quassel does not compile on OS X 10.10 with Qt 4.8.6
05/26/2015 03:40 PM - Bombe

Status: Closed Start date: 05/26/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Build System Estimated time: 0.00 hour
Target version:

Version: 0.10.0 0S: Any
Description

[ 50%] Building CXX object src/uisupport/CMakeFiles/mod_uisupport.dir/aboutdata.cpp.o
/Users/d.roden/Software/quassel/src/uisupport/aboutdata.cpp:112:14: error: no matching member func
tion for call to 'append'

_authors.append (authors) ;
/usr/local/Cellar/qt/4.8.6/include/QtCore/qlist.h:161:10: note: candidate function not viable: no
known conversion from 'std::initializer_list<AboutPerson>' to 'const AboutPerson' for 1lst argument

void append(const T &t);
/usr/local/Cellar/qt/4.8.6/include/QtCore/qlist.h:162:10: note: candidate function not viable: no
known conversion from 'std::initializer_list<AboutPerson>' to 'const QList<AboutPerson>' for 1lst a
rgument

void append(const QList<T> &t);
/Users/d.roden/Software/quassel/src/uisupport/aboutdata.cpp:126:14: error: no matching member func
tion for call to 'append'

_credits.append (credits);
/usr/local/Cellar/qt/4.8.6/include/QtCore/qlist.h:161:10: note: candidate function not viable: no
known conversion from 'std::initializer_ list<AboutPerson>' to 'const AboutPerson' for 1lst argument

void append(const T &t);
/usr/local/Cellar/qt/4.8.6/include/QtCore/qlist.h:162:10: note: candidate function not viable: no
known conversion from 'std::initializer_list<AboutPerson>' to 'const QList<AboutPerson>' for 1lst a
rgument

void append(const QList<T> &t);

A

2 errors generated.

Compiler is:

Apple LLVM version 6.1.0 (clang-602.0.53) (based on LLVM 3.6.0svn)
Target: x86_64-apple-darwinl4.3.0

Thread model: posix

This happens on commit 92490c7390f21d59a0df540c4bdcbb1de69e7e8e, latest master as of Tue May 26 13:40:17 UTC 2015.

History

#1 - 06/16/2021 10:25 PM - phuzion

- Status changed from New to Closed

Both macOS 10.10 and Qt 4.8.6 are no longer supported.

I'm going to close this bug, but if you continue to see this issue, please reopen it.

05/24/2025 1/1



http://www.tcpdf.org

